-- Version: 9.0 SP1 9.0.2.9

library ieee;
use ieee.std_logic_1164.all;
library smartfusion;
use smartfusion.all;

entity lab2fpga_top is

    port( M2F_GPO_28  : out   std_logic;
          M2F_GPO_31  : out   std_logic;
          M2F_GPO_24  : out   std_logic;
          M2F_GPO_30  : out   std_logic;
          M2F_GPO_25  : out   std_logic;
          M2F_GPO_26  : out   std_logic;
          M2F_GPO_29  : out   std_logic;
          M2F_GPO_27  : out   std_logic;
          F2M_GPI_1   : in    std_logic;
          F2M_GPI_0   : in    std_logic;
          MSS_RESET_N : in    std_logic
        );

end lab2fpga_top;

architecture DEF_ARCH of lab2fpga_top is 

  component VCC
    port( Y : out   std_logic
        );
  end component;

  component lab2fpga
    port( MSS_RESET_N : in    std_logic := 'U';
          M2F_GPO_31  : out   std_logic;
          M2F_GPO_30  : out   std_logic;
          M2F_GPO_29  : out   std_logic;
          M2F_GPO_28  : out   std_logic;
          M2F_GPO_27  : out   std_logic;
          M2F_GPO_26  : out   std_logic;
          M2F_GPO_25  : out   std_logic;
          M2F_GPO_24  : out   std_logic;
          F2M_GPI_1   : in    std_logic := 'U';
          F2M_GPI_0   : in    std_logic := 'U'
        );
  end component;

  component GND
    port( Y : out   std_logic
        );
  end component;

    signal GND_net, VCC_net : std_logic;

begin 


    \VCC\ : VCC
      port map(Y => VCC_net);
    
    lab2fpga_0 : lab2fpga
      port map(MSS_RESET_N => MSS_RESET_N, M2F_GPO_31 => 
        M2F_GPO_31, M2F_GPO_30 => M2F_GPO_30, M2F_GPO_29 => 
        M2F_GPO_29, M2F_GPO_28 => M2F_GPO_28, M2F_GPO_27 => 
        M2F_GPO_27, M2F_GPO_26 => M2F_GPO_26, M2F_GPO_25 => 
        M2F_GPO_25, M2F_GPO_24 => M2F_GPO_24, F2M_GPI_1 => 
        F2M_GPI_1, F2M_GPI_0 => F2M_GPI_0);
    
    \GND\ : GND
      port map(Y => GND_net);
    

end DEF_ARCH; 
